Subject: [Lager] Empty tags and elements

From: Asmus Freytag <[email-masked]>
Date: Sun, 6 Dec 2015 02:21:35 -0800

In looking over the schema, it gives minLength = "1" in a number of 
places, but not in other places. Assuming there's no default in the 
schema syntax or the way it's validated, it seems to me that we would be 
allowing empty strings in some cases where we may not want that, or 
where we could use a validator to flag an error early.

RFC5646 language tag is defined as xsd:token.

I think we could safely specify minLength="2" for the "language-tag".

The <language> element itself is optional, so there's no need to support 
an empty one.

I assume xsd:ID, xsd:IDREF, xsd:NCName and xsd:NMTOKEN all cannot be 
empty. If that is not a correct assumption, then we should probably find 
a way to specify that the corresponding attributes should be non-empty 
(if present).

A./